# eric7.WebBrowser.WebBrowserClearPrivateDataDialog

Module implementing a dialog to select which private data to clear.

### Global Attributes

None

### Classes

WebBrowserClearPrivateDataDialog | Class implementing a dialog to select which private data to clear.

### Functions

None

## WebBrowserClearPrivateDataDialog

Class implementing a dialog to select which private data to clear.

### Derived from

QDialog, Ui_WebBrowserClearPrivateDataDialog

### Class Attributes

None

### Class Methods

None

### Methods

WebBrowserClearPrivateDataDialog | Constructor
getData | Public method to get the data from the dialog.

### Static Methods

None

#### WebBrowserClearPrivateDataDialog (Constructor)

WebBrowserClearPrivateDataDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### WebBrowserClearPrivateDataDialog.getData

getData()

Public method to get the data from the dialog.

Return:
  tuple with flags indicating which data to clear (browsing history, search history, favicons, disk cache, cookies, passwords, web databases, downloads, zoom values, SSL certificate error exceptions) and the selected history period in milliseconds (tuple of booleans and integer)

Up